{% extends "admin/base.html" %}
{% block content %}
<div class="content container-fluid">
       <div class="row">
         <div class="col-sm-8">
           <h4 class="page-title">Edit Quotation</h4>
         </div>
       </div>
       <div class="row">


           <form method="post">
             	{{ form.hidden_tag() }}
             <div class="row">
               <div class="col-sm-3">
                 <div class="form-group">
                   <label>Client <span class="text-danger">*</span></label>
                   {{ form.client_id(class="select") }}
                   {% for error in form.client_id.errors %}
                   <span style="color: red;">{{ error }}</span>
                   {% endfor %}
                 </div>
               </div>
               <div class="col-sm-3">
                 <div class="form-group">
                   <label>Quotation name</label>
                   {{ form.quotation_name(class="form-control") }}
                   {% for error in form.quotation_name.errors %}
                   <span style="color: red;">{{ error }}</span>
                   {% endfor %}
                 </div>
               </div>
               <div class="col-sm-3">
                 <div class="form-group">
                   <label>Quotatation date <span class="text-danger">*</span></label>
                   <div class="cal-icon">{{ form.quotation_date(class="form-control datetimepicker", id="datetimepicker1") }}
                     {% for error in form.quotation_date.errors %}
                        <span style="color: red;">{{ error }}</span>
                     {% endfor %}</div>
                 </div>
               </div>

             </div>
             <div class="row">
               <div class="col-md-12 col-sm-12 col-xs-12">
                 <div class="table-responsive">
                   <div data-toggle="fieldset" id="phone-fieldset">

                   <table  class="table table-hover table-white">
                     <thead>
                       <tr>
                         <th style="width: 20px">#</th>
                         <th class="col-md-6">Product</th>
                         <th class="col-sm-2">Price</th>
                         <th style="width:100px;">Quantity</th>
                         <th style="width:80px;">size</th>
                         <th>Amount</th>
                         <th> </th>
                       </tr>
                     </thead>
                     <tbody id="products-table">

                       {% for product in form.products %}
                       <tr data-toggle="fieldset-entry">
                         <td></td>
                         <td>
                           {{ product.product(class="form-control") }}
                           {% for error in product.product.errors %}
                              <span style="color: red;">{{ error }}</span>
                           {% endfor %}
                         </td>
                         <td>
                           {{ product.price(class="form-control",onchange="postinput()") }}
                           {% for error in product.price.errors %}
                              <span style="color: red;">{{ error }}</span>
                           {% endfor %}
                         </td>
                         <td>
                           {{ product.quantity(class="form-control",onchange="postinput()") }}
                           {% for error in product.quantity.errors %}
                              <span style="color: red;">{{ error }}</span>
                           {% endfor %}
                         </td>
                         <td>
                           {{ product.size(class="form-control") }}
                           {% for error in product.size.errors %}
                              <span style="color: red;">{{ error }}</span>
                           {% endfor %}
                         </td>
                         <td>
                           {{ product.total(class="form-control", readonly=true) }}
                           {% for error in product.total.errors %}
                              <span style="color: red;">{{ error }}</span>
                           {% endfor %}
                         </td>
                        <td><button type="button" class="btn btn-danger btn-sm" data-toggle="fieldset-remove-row" id="phone-{{loop.index0}}-remove"><span class="glyphicon glyphicon-remove"></span> Delete</button></td>

                       </tr>
                    {% endfor %}
                  </tbody>
                   </table>
                             <div class="table-responsive">
                     <table class="table table-hover table-white">
                       <tbody>



                         <tr>
                           <td><button type="button" data-toggle="fieldset-add-row" class="btn btn-info btn-sm" data-target="#phone-fieldset"><span class="glyphicon glyphicon-plus"></span> Add</button></td>

                         </tr>
                       </tbody>
                     </table>
                   </div>

                 </div>
                 <div class="table-responsive">
                   <table class="table table-hover table-white">
                     <tbody>



                       <tr>
                         <td colspan="5" style="text-align: right; font-weight: bold">
                           Total
                         </td>
                         <td style="text-align: right; padding-right: 30px; font-weight: bold; font-size: 16px;width: 230px">
                          {{ form.amount(class="form-control", readonly=true) }}
                          {% for error in form.amount.errors %}
                          <span style="color: red;">{{ error }}</span>
                          {% endfor %}
                         </td>
                       </tr>
                     </tbody>
                   </table>
                 </div>
                 <div class="row">
                   <div class="col-md-12">
                     <div class="form-group">
                       <label>Description</label>
                      {{ form.description(class="form-control") }}
                      {% for error in form.description.errors %}
                      <span style="color: red;">{{ error }}</span>
                      {% endfor %}
                     </div>
                   </div>
                 </div>
               </div>
               <div class="row">
                 <div class="col-md-12">
                   <div class="form-group">
                     {{ form.submit(class="btn btn-primary") }}
                   </div>
                 </div>
               </div>
             </div>
           </div>
         </div>


           </form>
         </div>


{% endblock %}

{% block scripts %}
  {{ super() }}
   <script src="{{ url_for("static", filename="js/page.js") }}"></script>
{% endblock %}
